Subject: Re: [PATCH] include listenq max/backlog in tcp_info and related reports - correct version/signorder

From: John Heffner <[email-masked]>
Date: Mon, 17 Sep 2007 16:44:58 -0400

Rick Jones wrote:
> John Heffner wrote:
>> Any reason you're overloading tcpi_unacked and tcpi_sacked?  It seems 
>> that setting idiag_rqueue and idiag_wqueue are sufficient.
> 
> Different fields for different structures.   The tcp_info struct doesn't 
> have the idiag_mumble, so to get the two values shown in /proc/net/tcp I 
> use tcpi_unacked and tcpi_sacked.
> 
> For the INET_DIAG_INFO stuff the idiag_mumble fields are used and that 
> then covers ss.

Maybe I'm missing something.  get_tcp[46]_sock() does not use struct 
tcp_info.  The only way I see using this is by doing 
getsockopt(TCP_INFO) on your listen socket.  Is this the intention?

   -John